%global pypi_name automaton

Summary:        Friendly state machines for python
Name:           python-%{pypi_name}
Version:        3.1.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            http://git.openstack.org/cgit/openstack/automaton
Source0:        http://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Friendly state machines for python.

%package -n python3-%{pypi_name}
Summary:        Friendly state machines for python
BuildRequires:  python3-devel python3-pbr git-core python3-prettytable
BuildRequires:  python3-pytest python3-testtools
Requires: python3-pbr python3-prettytable

%description -n python3-%{pypi_name}
Friendly state machines for python.

%package -n python-%{pypi_name}-doc
Summary:        Friendly state machines for python - documentation
BuildRequires:  graphviz python3-sphinx python3-openstackdocstheme

%description -n python-%{pypi_name}-doc
Friendly state machines for python (documentation)

%prep
%autosetup -n %{pypi_name}-%{version} -S git

%build
%{py3_build}

sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py3_install}

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-6
- Rebuilt for loongarch release

* Mon May 27 2024 cunshunxia <cunshunxia@tencent.com> - 3.1.0-5
- enable %%check for further building.

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Shuo Wang <abushwang@tencent.com> - 3.1.0-1
- initial build
